from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XNotifyingDispatch(XDispatch, Protocol):
    def dispatchWithNotification(self, URL: URL, Arguments: PropertyValue>, Listener: XDispatchResultListener) -> None: ...
